\chapter*{Introduction}
\addcontentsline{toc}{chapter}{Introduction}
Attractors are some of the most important sets in the theory of nonlinear dynamical systems.
Analysis of attractors along with their basins of attraction is crucial in order to understand the behavior of a given dynamical relation.
This knowledge can be applied with the purpose to simulate and control a particular system, measure the associated uncertainty, or in various other cases.
As contemporary researchers seek to improve the state-of-the-art algorithms, novel methods are proposed in the field of nonlinear dynamics on a regular basis~\cite{Strogatz1994}.

An example of a relatively simple system which possesses some rich chaotic dynamics is 
\begin{equation*}
f_p(z) = z - \alpha \frac{p(z)}{p'(z)};
\end{equation*}
where argument $z \in \bC$, parameter $\alpha \in \bC$, and $p$ is a complex-valued polynomial function.
This is known as a Newton's method~\cite{Hubbard2001}.
Despite the apparent simplicity, its boundaries of attracting basins are not simple smooth curves but rather fractal shapes~\cite{Drexler1996}.
Moreover, sometimes these basins of attraction are interwoven infinitely many times, which is also known as a Wada quality~\cite{Epureanu1998a}.

The general aim of this thesis is to develop and propose some novel tools and techniques for the analysis of chaotic processes in complex dynamical systems.

The aim is achieved by accomplishing the following tasks:
\begin{enumerate}
	\item Generate a large family of different set-ups of attracting basins.
	\item Calculate the complexity of boundaries using known techniques.
	\item Re-calculate the complexity of boundaries using novel proposed tools.
	\item Compare the obtained results regarding complexity.
	\item Provide relevant examples of applications.
\end{enumerate}